
QGIS Application - Bug report #3051

Allowing 'geometryless' tables in PostGIS datasource is showing system tables/schemas

2010-09-24 12:32 PM - Ivan Mincik

Status: Rejected

Priority: Low

Assignee: Jürgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 13111

Description

Would You please remove content of system schemas like "information_schema" and "pg_catalog" from table listing when

'Geometryless' tables are allowed ? None of this tables has any information really useful for GIS works.

History

#1 - 2010-09-24 12:54 PM - Jürgen Fischer

Replying to imincik1:

None of this tables has any information really useful for GIS works.

But what's the problem with seeing them?

#2 - 2010-09-24 01:34 PM - Ivan Mincik

Replying to [comment:1 jef]:

But what's the problem with seeing them?

At least their usage can be confusing for inexperienced users.

#3 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-17 01:41 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No

- Resolution set to wontfix

- Status changed from Open to Rejected
